accessing
viewInstancesFor: aView
	<gtView>
	| columnedList columnNamesMap |
	self instances isEmptyOrNil ifTrue: [ ^ aView empty].
	columnedList := aView columnedList
		title: 'Instances';
		items: [ self instanceRows ];
		priority: 1.
	columnNamesMap := {
		'Instance' -> 'url'.
	 	'Healthy' -> 'healthy'.
	 	'Uptime %' -> 'uptime'.
	 	'RSS' -> 'rss'.
	 	'Nitter Version' -> 'version'} asOrderedDictionary.
	columnNamesMap keysAndValuesDo: [:aName :value | 
		columnedList 
			column: aName 
			text: [:instanceRow | (instanceRow readSlotNamed: value) ifNil: [''] ] 
	].
	^ columnedList